## libcorkipset 1.1.1%2B20150311

=== docs/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011-2013, RedJack, LLC.
# All rights reserved.
#
# Please see the LICENSE.txt file in this distribution for license
# details.
# ----------------------------------------------------------------------

# Fill in this with the text that you want to include in the header and footer
# of each man page.

set(MAN_HEADER "ipset documentation")
set(MAN_FOOTER "ipset")

# Fill this in with any man pages that should be built from a pandoc source
# file.  For a man page called foo.5, there should be a pandoc source file
# called foo.5.pandoc.

set(MAN_PAGES
)

#-----------------------------------------------------------------------
# Everything below is boilerplate!

find_program(
    PANDOC_EXECUTABLE
    NAMES pandoc
    HINTS ENV PANDOC_DIR
    PATH_SUFFIXES bin
    DOC "Pandoc man page generator"
)

set(GENERATE_DOC TRUE CACHE BOOL
    "Whether to rebuild documentation")

if (NOT PANDOC_EXECUTABLE)
    message(WARNING "Unable to find pandoc documentation generator")
    set(GENERATE_DOC FALSE)
endif (NOT PANDOC_EXECUTABLE)


# Link man pages go in docs/links

macro(install_links section)
    file(GLOB links "links/*.${section}")
    if (links)
        install(
            FILES ${links}
            DESTINATION "share/man/man${section}"
        )
    endif (links)
endmacro(install_links section)

install_links(1)   # commands
install_links(3)   # library API
install_links(4)   # special files and drivers
install_links(5)   # file formats and conventions
install_links(7)   # miscellaneous
install_links(8)   # system commands


# Man pages with actual content go in docs

set(ALL_MANS)

macro(pandocify name)
    set(src  "${CMAKE_CURRENT_SOURCE_DIR}/${name}.pandoc")
    set(dest "${CMAKE_CURRENT_SOURCE_DIR}/${name}")
    get_filename_component(section "${name}" EXT)
    string(REPLACE "." "" section "${section}")

    # Only compile the markdown source into groff man pages if requested.
    if (GENERATE_DOC)
        add_custom_command(
            OUTPUT ${dest}
            COMMAND ${PANDOC_EXECUTABLE}
                -f markdown -t man -s --smart
                -V header="${MAN_HEADER}"
                -V footer="${MAN_FOOTER}"
                -V date=${RELEASE_DATE}
                -o ${dest} ${src}
            MAIN_DEPENDENCY ${src}
            COMMENT "Building ${name}"
        )
        list(APPEND ALL_MANS ${dest})
    endif (GENERATE_DOC)

    # We should always have an already-compiled copy of each man page in the
    # source tree, which we can install even if we didn't build fresh new
    # copies.
    install(
        FILES ${dest}
        DESTINATION "share/man/man${section}"
    )
endmacro(pandocify)

foreach(MAN_PAGE ${MAN_PAGES})
    pandocify(${MAN_PAGE})
endforeach(MAN_PAGE)

add_custom_target(doc ALL DEPENDS ${ALL_MANS})

=== share/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2012, RedJack, LLC.
# All rights reserved.
#
# Please see the LICENSE.txt file in this distribution for license
# details.
# ----------------------------------------------------------------------

install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/valgrind
    DESTINATION share
    FILES_MATCHING PATTERN "*.supp")

=== tests/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011, RedJack, LLC.
# All rights reserved.
#
# Please see the LICENSE.txt file in this distribution for license
# details.
# ----------------------------------------------------------------------

include_directories(../include)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../src)

#-----------------------------------------------------------------------
# Check for prerequisite libraries

find_package(PkgConfig)

pkg_check_modules(CHECK REQUIRED check)
include_directories(${CHECK_INCLUDE_DIRS})
link_directories(${CHECK_LIBRARY_DIRS})

#-----------------------------------------------------------------------
# Build the test cases

macro(make_test test_name)
    add_executable(${test_name} ${test_name}.c)
    target_link_libraries(${test_name} ${CHECK_LIBRARIES} libipset)
    add_test(${test_name} ${test_name})
endmacro(make_test)

# Add calls to make_test for each .c test case in the tests/ directory.
make_test(test-assignment)
make_test(test-bdd)
make_test(test-ipmap)
make_test(test-ipset)
make_test(test-iterator)

#-----------------------------------------------------------------------
# Command-line tests

if(TILERA)
    configure_file(tile-test ${CMAKE_BINARY_DIR}/tile-test COPYONLY)
endif(TILERA)

find_program(
    CRAM_EXECUTABLE
    NAMES cram
    HINTS ENV CRAM_DIR
    PATH_SUFFIXES bin
    DOC "Cram test harness"
)

if (CRAM_EXECUTABLE)
    configure_file(ccram ${CMAKE_BINARY_DIR}/ccram COPYONLY)
    add_test(
        cram-tests
        ${CMAKE_COMMAND} -E chdir ${CMAKE_BINARY_DIR}
        ${CMAKE_BINARY_DIR}/ccram
            --cram ${CRAM_EXECUTABLE}
            --tests ${CMAKE_CURRENT_SOURCE_DIR}
    )
else (CRAM_EXECUTABLE)
    message(WARNING "Unable to find cram test harness; skipping tests.")
endif (CRAM_EXECUTABLE)

## libcorkipset 1.1.1%2Bgit20171111.6842a63

=== src/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011, libcorkipset authors
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

#-----------------------------------------------------------------------
# Build the library

# Update the VERSION_INFO property below according to the following rules (taken
# from [1]):
#
# VERSION_INFO = current:revision:age
#
#   1. Start with a VERSION of `0:0:0` for each shared library.
#   2. Update VERSION_INFO only immediately before a public release of your
#      software.  More frequent updates are unnecessary, and only guarantee that
#      the current interface number gets larger faster.
#   3. If the library source code has changed at all since the last update, then
#      increment `revision` (`c:r:a` becomes `c:r+1:a`).
#   4. If any interfaces have been added, removed, or changed since the last
#      update, increment `current`, and set `revision` to 0.
#   5. If any interfaces have been added since the last public release, then
#      increment `age`.
#   6. If any interfaces have been removed or changed since the last public
#      release, then set `age` to 0.
#
# Note that changing `current` and setting `age` to 0 means that you are
# releasing a new backwards-incompatible version of the library.  This has
# implications on packaging, so once an API has stabilized, this should be a
# rare occurrence.
#
# [1] http://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html#Updating-version-info

add_c_library(
    libcorkipset
    OUTPUT_NAME corkipset
    PKGCONFIG_NAME libcorkipset
    VERSION_INFO 2:0:1
    SOURCES
        libcorkipset/general.c
        libcorkipset/bdd/assignments.c
        libcorkipset/bdd/basics.c
        libcorkipset/bdd/bdd-iterator.c
        libcorkipset/bdd/expanded.c
        libcorkipset/bdd/reachable.c
        libcorkipset/bdd/read.c
        libcorkipset/bdd/write.c
        libcorkipset/map/allocation.c
        libcorkipset/map/inspection.c
        libcorkipset/map/ipv4_map.c
        libcorkipset/map/ipv6_map.c
        libcorkipset/map/storage.c
        libcorkipset/set/allocation.c
        libcorkipset/set/inspection.c
        libcorkipset/set/ipv4_set.c
        libcorkipset/set/ipv6_set.c
        libcorkipset/set/iterator.c
        libcorkipset/set/storage.c
    LIBRARIES
        libcork
)

#-----------------------------------------------------------------------
# Utility commands

add_c_executable(
    ipsetbuild
    OUTPUT_NAME ipsetbuild
    SOURCES ipsetbuild/ipsetbuild.c
    LOCAL_LIBRARIES
        libcorkipset
)

add_c_executable(
    ipsetcat
    OUTPUT_NAME ipsetcat
    SOURCES ipsetcat/ipsetcat.c
    LOCAL_LIBRARIES
        libcorkipset
)

add_c_executable(
    ipsetdot
    OUTPUT_NAME ipsetdot
    SOURCES ipsetdot/ipsetdot.c
    LOCAL_LIBRARIES
        libcorkipset
)

## libcorkipset 1.1.1+20150311

=== CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011-2013, RedJack, LLC.
# All rights reserved.
#
# Please see the LICENSE.txt file in this distribution for license
# details.
# ----------------------------------------------------------------------

cmake_minimum_required(VERSION 2.6)
set(PROJECT_NAME ipset)
set(RELEASE_DATE 2013-12-11)
project(${PROJECT_NAME})
enable_testing()

#-----------------------------------------------------------------------
# Retrieve the current version number

execute_process(COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/version.sh
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    RESULT_VARIABLE VERSION_RESULT
    OUTPUT_VARIABLE VERSION
    OUTPUT_STRIP_TRAILING_WHITESPACE)
if(VERSION_RESULT)
    message(FATAL_ERROR
            "Cannot determine version number: " ${VERSION_RESULT})
endif(VERSION_RESULT)
# This causes an annoying extra prompt in ccmake.
# message("Current version: " ${VERSION})

string(REGEX REPLACE "-dev.*" "-dev" BASE_VERSION "${VERSION}")

find_package(PkgConfig)

#-----------------------------------------------------------------------
# Check for building on Tilera
# If the Tilera environment is installed, then $TILERA_ROOT is defined
# as the path to the active MDE.

if(DEFINED ENV{TILERA_ROOT})
    set(TILERA TRUE)
    set(TILERA_ROOT $ENV{TILERA_ROOT})
    message("-- Configuring for Tilera MDE ${TILERA_ROOT}")
    set(ENV{PKG_CONFIG_PATH}
        "${TILERA_ROOT}/tile/usr/lib/pkgconfig:${TILERA_ROOT}/tile/usr/local/lib/pkgconfig:$ENV{PKG_CONFIG_PATH}"
    )
    set(CMAKE_SYSTEM_NAME "Tilera")
    set(CMAKE_SYSTEM_PROCESSOR "tilegx")
    set(CMAKE_C_COMPILER "${TILERA_ROOT}/bin/tile-gcc")
    set(CMAKE_LINKER "${TILERA_ROOT}/bin/tile-ld")
    set(TILERA_MONITOR "${TILERA_ROOT}/bin/tile-monitor")
    #add_definitions(-std=gnu99)
    set(CMAKE_FIND_ROOT_PATH "${TILERA_ROOT}/tile")
    set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM ONLY)
    set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
    set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
endif()

#-----------------------------------------------------------------------
# Check for prerequisite libraries

pkg_check_modules(CORK REQUIRED "libcork >= 0.12.0")
include_directories(${CORK_INCLUDE_DIRS})
link_directories(${CORK_LIBRARY_DIRS})

#-----------------------------------------------------------------------
# Set some options

if(APPLE)
    if (NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
    endif (NOT CMAKE_INSTALL_NAME_DIR)
endif(APPLE)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release CACHE STRING
        "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
        FORCE)
endif(NOT CMAKE_BUILD_TYPE)

set(CMAKE_INSTALL_LIBDIR lib CACHE STRING
    "The base name of the installation directory for libraries")

if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
    add_definitions(-Wall -Werror)
elseif(CMAKE_C_COMPILER_ID STREQUAL "Clang")
    add_definitions(-Wall -Werror)
elseif(CMAKE_C_COMPILER_ID STREQUAL "Intel")
    add_definitions(-Wall -Werror)
endif(CMAKE_C_COMPILER_ID STREQUAL "GNU")

#-----------------------------------------------------------------------
# Include our subdirectories

add_subdirectory(docs)
add_subdirectory(include)
add_subdirectory(share)
add_subdirectory(src)
add_subdirectory(examples)
add_subdirectory(tests)

=== examples/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2012, RedJack, LLC.
# All rights reserved.
#
# Please see the LICENSE.txt file in this distribution for license
# details.
# ----------------------------------------------------------------------

include_directories(../include)

#-----------------------------------------------------------------------
# Examples

add_executable(ipv4-set-size ipv4-set-size.c)
target_link_libraries(ipv4-set-size ${CORK_LIBRARIES} libipset)

=== src/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011-2013, RedJack, LLC.
# All rights reserved.
#
# Please see the LICENSE.txt file in this distribution for license
# details.
# ----------------------------------------------------------------------

include_directories(${CMAKE_SOURCE_DIR}/include)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)

#-----------------------------------------------------------------------
# Build the library

set(LIBIPSET_SRC
    libipset/general.c
    libipset/bdd/assignments.c
    libipset/bdd/basics.c
    libipset/bdd/bdd-iterator.c
    libipset/bdd/expanded.c
    libipset/bdd/reachable.c
    libipset/bdd/read.c
    libipset/bdd/write.c
    libipset/map/allocation.c
    libipset/map/inspection.c
    libipset/map/ipv4_map.c
    libipset/map/ipv6_map.c
    libipset/map/storage.c
    libipset/set/allocation.c
    libipset/set/inspection.c
    libipset/set/ipv4_set.c
    libipset/set/ipv6_set.c
    libipset/set/iterator.c
    libipset/set/storage.c
)

# Update the VERSION and SOVERSION properties below according to the following
# rules (taken from [1]):
#
# VERSION = current.revision.age
#
#   1. Start with a VERSION of `0.0.0` for each shared library.
#   2. Update VERSION only immediately before a public release of your software.
#      More frequent updates are unnecessary, and only guarantee that the
#      current interface number gets larger faster.
#   3. If the library source code has changed at all since the last update, then
#      increment `revision` (`c.r.a` becomes `c.r+1.a`).
#   4. If any interfaces have been added, removed, or changed since the last
#      update, increment `current`, and set `revision` to 0.
#   5. If any interfaces have been added since the last public release, then
#      increment `age`.
#   6. If any interfaces have been removed or changed since the last public
#      release, then set `age` to 0.
#
# SOVERSION should always equal `current`.
#
# Note that changing `current` means that you are releasing a new
# backwards-incompatible version of the library.  This has implications on
# packaging, so once an API has stabilized, these should be a rare occurrence.
#
# [1] http://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html#Updating-version-info

add_library(libipset SHARED ${LIBIPSET_SRC})
set_target_properties(libipset PROPERTIES
    OUTPUT_NAME ipset
    VERSION 1.1.0
    SOVERSION 1)
target_link_libraries(libipset
    ${CORK_LIBRARIES}
)

install(TARGETS libipset DESTINATION ${CMAKE_INSTALL_LIBDIR})

#-----------------------------------------------------------------------
# Utility commands

set(IPSETBUILD_SRC
    ipsetbuild/ipsetbuild.c
)

add_executable(ipsetbuild ${IPSETBUILD_SRC})
target_link_libraries(ipsetbuild libipset)
install(TARGETS ipsetbuild DESTINATION bin)

set(IPSETCAT_SRC
    ipsetcat/ipsetcat.c
)

add_executable(ipsetcat ${IPSETCAT_SRC})
target_link_libraries(ipsetcat libipset)
install(TARGETS ipsetcat DESTINATION bin)

set(IPSETDOT_SRC
    ipsetdot/ipsetdot.c
)

add_executable(ipsetdot ${IPSETBUILD_SRC})
target_link_libraries(ipsetdot libipset)
install(TARGETS ipsetdot DESTINATION bin)

#-----------------------------------------------------------------------
# Generate the pkg-config file

set(prefix ${CMAKE_INSTALL_PREFIX})
configure_file(ipset.pc.in ${CMAKE_CURRENT_BINARY_DIR}/ipset.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ipset.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== debian/changelog ===
libcorkipset (1.1.1+20150311-7) unstable; urgency=medium

  * debian/rules:
    - Fix typo in script.
  * debian/control:
    - Remove Multi-Arch for package libcorkipset-utils
    - Set package libcorkipset-doc as "Multi-Arch: foreign"
      based on wiki: https://wiki.debian.org/MultiArch/Hints
  * debian/copyright:
    - Update copyright year.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 06 Jan 2017 01:19:30 +0900

libcorkipset (1.1.1+20150311-6) unstable; urgency=medium

  * debian/control:
    - Make use of dh_sphinxdoc to calculate the dependency of js library
    - Add Built-Using according to Bug#836248.
  * debian/rules:
    - Make use of dh_sphinxdoc to replace/remove libjs-sphinxdoc js
      libraries.
    - Remove .buildinfo from HTML doc folder

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 22 Nov 2016 00:10:35 +0900

libcorkipset (1.1.1+20150311-5) unstable; urgency=medium

  * debian/control:
    - make use of libjs-jquery and libjs-underscore in Debian archive,
      and remove embedded .js libraries.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 26 Oct 2016 22:15:55 +0900

libcorkipset (1.1.1+20150311-4) unstable; urgency=medium

  * debian/copyright:
    - Update field: Upstream-Contact
  * debian/control:
    - Bump debhelper level to 10 (previous was 9.20160403,
      feature equivalent to 10, so no change required).

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 20 Oct 2016 00:35:09 +0900

libcorkipset (1.1.1+20150311-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 05 Oct 2016 01:30:46 +0900

libcorkipset (1.1.1+20150311-3) unstable; urgency=medium

  * debian/rules:
    - Update build directory when generating manpages,
      from obj-${DEB_HOST_MULTIARCH} to obj-${DEB_TARGET_GNU_TYPE}.
      Fixing FTBFS on *i386 Arch.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 24 Jul 2016 20:28:03 +0900

libcorkipset (1.1.1+20150311-2) unstable; urgency=medium

  * debian/rules:
    - Remove "--builddirectory=build"
  * debian/patches:
    - Update 0001: Include all debian version as library version.
    - Update 0004: Update test of python-cram according to libcork, although
                   there's no cram unit test item now.
    - Add 0009: Support CMake Threads.
    - Add 0010: Fix typo in src/CMakeLists.txt
  * debian/libcorkipset-doc.docs:
    - Add example code as docs
  * debian/control, debian/rules & debian/libcorkipset-utils.install:
    - Add new "-utils" package, to include binary tools.
      manpages are created by help2man tool in debian/rules.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 21 Jul 2016 22:54:25 +0900

libcorkipset (1.1.1+20150311-1) unstable; urgency=medium

  * Initial release (Closes: #827080)

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 21 Jun 2016 18:41:46 +0900

=== debian/control ===
Source: libcorkipset
Priority: optional
Maintainer: Roger Shimizu <rogershimizu@gmail.com>
Build-Depends:
 check,
 cmake,
 debhelper (>= 10),
 help2man,
 libcork-dev (>= 0.15.0+ds-8),
 pkg-config,
 python3-sphinx
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/redjack/ipset
Vcs-Git: https://github.com/rogers0/libcorkipset.git
Vcs-Browser: https://github.com/rogers0/libcorkipset

Package: libcorkipset-utils
Architecture: any
Depends: libcorkipset1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C library to store sets/maps of IP address (utility files)
 The ipset library provides C data types for storing sets of IP
 addresses, and maps of IP addresses to integers.  It supports both
 IPv4 and IPv6 addresses.  It's implemented using "Binary Decision
 Diagrams" (BDDs, https://en.wikipedia.org/wiki/Binary_decision_diagram),
 which (we hypothesize) makes it space efficient for large sets.
 .
 This package provides a few utility binaries for the library.

Package: libcorkipset-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Suggests: libcorkipset-doc
Depends: libcorkipset1 (= ${binary:Version}), ${misc:Depends}
Description: C library to store sets/maps of IP address (development files)
 The ipset library provides C data types for storing sets of IP
 addresses, and maps of IP addresses to integers.  It supports both
 IPv4 and IPv6 addresses.  It's implemented using "Binary Decision
 Diagrams" (BDDs, https://en.wikipedia.org/wiki/Binary_decision_diagram),
 which (we hypothesize) makes it space efficient for large sets.
 .
 This package provides C header files for the library.

Package: libcorkipset1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library to store sets/maps of IP address
 The ipset library provides C data types for storing sets of IP
 addresses, and maps of IP addresses to integers.  It supports both
 IPv4 and IPv6 addresses.  It's implemented using "Binary Decision
 Diagrams" (BDDs, https://en.wikipedia.org/wiki/Binary_decision_diagram),
 which (we hypothesize) makes it space efficient for large sets.
 .
 This package provides shared library.

Package: libcorkipset-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: C library to store sets/maps of IP address (documentation files)
 The ipset library provides C data types for storing sets of IP
 addresses, and maps of IP addresses to integers.  It supports both
 IPv4 and IPv6 addresses.  It's implemented using "Binary Decision
 Diagrams" (BDDs, https://en.wikipedia.org/wiki/Binary_decision_diagram),
 which (we hypothesize) makes it space efficient for large sets.
 .
 This package provides documentation in HTML for the library.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# Security Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_install:
	sed -i 's%#include <ipset%#include <libcorkipset%' debian/tmp/usr/include/ipset/*.h
	rm -f obj-*/docs/html/.buildinfo
	cd obj-$(DEB_TARGET_GNU_TYPE); \
	for bin in ipsetbuild ipsetcat ipsetdot; do \
		help2man -N -n "utility of libcorkipset library" \
			--version-string="$(shell dpkg-parsechangelog --show-field Version)" \
			-o $$bin.1 src/$$bin; \
	done
	dh_install

override_dh_installdocs:
	dh_installdocs -X.gitignore

%:
	dh $@ --with sphinxdoc

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libcorkipset-$1.tar.gz%" \
   https://github.com/redjack/ipset/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libcorkipset 1.1.1+git20171111.6842a63

=== CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011, libcorkipset authors
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

cmake_minimum_required(VERSION 2.6)
set(PROJECT_NAME libcorkipset)
set(RELEASE_DATE 2013-12-11)
project(${PROJECT_NAME})
enable_testing()

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
find_package(ParseArguments)
find_package(Prereqs)
find_package(CTargets)
include(GNUInstallDirs)

#-----------------------------------------------------------------------
# Retrieve the current version number

execute_process(
    COMMAND git describe
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    RESULT_VARIABLE VERSION_RESULT
    OUTPUT_VARIABLE VERSION
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
if(VERSION_RESULT)
    message(FATAL_ERROR
            "Cannot determine version number: " ${VERSION_RESULT})
endif(VERSION_RESULT)
message(STATUS "Current version: " ${VERSION})

string(REGEX REPLACE "-.*" "-dev" BASE_VERSION "${VERSION}")

if(BASE_VERSION MATCHES "^([0-9]+)\\.([0-9]+)\\.([0-9]+)(-dev)?$")
    set(VERSION_MAJOR "${CMAKE_MATCH_1}")
    set(VERSION_MINOR "${CMAKE_MATCH_2}")
    set(VERSION_PATCH "${CMAKE_MATCH_3}")
else(BASE_VERSION MATCHES "^([0-9]+)\\.([0-9]+)\\.([0-9]+)(-dev)?$")
    message(FATAL_ERROR "Invalid version number: ${VERSION}")
endif(BASE_VERSION MATCHES "^([0-9]+)\\.([0-9]+)\\.([0-9]+)(-dev)?$")

execute_process(
    COMMAND git rev-parse HEAD
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    RESULT_VARIABLE GIT_SHA1_RESULT
    OUTPUT_VARIABLE GIT_SHA1
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
if(GIT_SHA1_RESULT)
    message(FATAL_ERROR
            "Cannot determine git commit: " ${GIT_SHA1_RESULT})
endif(GIT_SHA1_RESULT)
message(STATUS "Current revision: " ${GIT_SHA1})

#-----------------------------------------------------------------------
# Set some options

if(APPLE)
    if (NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
    endif (NOT CMAKE_INSTALL_NAME_DIR)
endif(APPLE)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release CACHE STRING
        "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
        FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if(NOT CMAKE_INSTALL_LIBDIR)
    set(CMAKE_INSTALL_LIBDIR lib CACHE STRING
        "The base name of the installation directory for libraries")
endif(NOT CMAKE_INSTALL_LIBDIR)

if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
    add_definitions(-Wall -Werror)
elseif(CMAKE_C_COMPILER_ID STREQUAL "Clang")
    add_definitions(-Wall -Werror)
elseif(CMAKE_C_COMPILER_ID STREQUAL "Intel")
    add_definitions(-Wall -Werror)
endif(CMAKE_C_COMPILER_ID STREQUAL "GNU")

#-----------------------------------------------------------------------
# Check for prerequisite libraries

pkgconfig_prereq(libcork>=0.12.0)

#-----------------------------------------------------------------------
# Include our subdirectories

add_subdirectory(docs)
add_subdirectory(include)
add_subdirectory(share)
add_subdirectory(src)
add_subdirectory(examples)
add_subdirectory(tests)

=== docs/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011, libcorkipset authors
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

find_program(
  SPHINX_EXECUTABLE
  NAMES sphinx-build
  HINTS ENV SPHINX_DIR
  PATH_SUFFIXES bin
  DOC "Sphinx documentation generator"
)

set(GENERATE_DOC TRUE)

if (NOT SPHINX_EXECUTABLE)
  message(WARNING "Unable to find Sphinx documentation generator")
  set(GENERATE_DOC FALSE)
endif (NOT SPHINX_EXECUTABLE)

set(INTERSPHINX_OVERRIDES "")

macro(find_prereq_doc LIB_NAME)
  execute_process(
    COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=sphinxdir ${LIB_NAME}
    OUTPUT_VARIABLE LIB_SPHINX_DIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )

  if (LIB_SPHINX_DIR)
    message(STATUS "Using ${LIB_NAME} docs in ${LIB_SPHINX_DIR}")
    set(
      INTERSPHINX_OVERRIDES
      "${INTERSPHINX_OVERRIDES}\nintersphinx_mapping['${LIB_NAME}'] = ('${LIB_SPHINX_DIR}', None)"
    )
  endif (LIB_SPHINX_DIR)
endmacro(find_prereq_doc)

if (GENERATE_DOC)
  set(SPHINX_SRC_CONF_FILE "${CMAKE_CURRENT_SOURCE_DIR}/conf.py")
  set(SPHINX_CONF_FILE "${CMAKE_CURRENT_BINARY_DIR}/conf.py")
  set(SPHINX_CACHE_DIR "${CMAKE_CURRENT_BINARY_DIR}/_doctrees")
  set(SPHINX_HTML_DIR "${CMAKE_CURRENT_BINARY_DIR}/html")

  # If your Sphinx documentation references the Sphinx documentation of
  # any of your prerequisite libraries, add some calls to
  # find_prereq_doc here:
  find_prereq_doc(libcork)

  set(
    VERSION_FOR_CONF_PY
    "\nrelease=\"${VERSION}\"\nversion=\"${BASE_VERSION}\""
  )
  configure_file(${SPHINX_SRC_CONF_FILE} ${SPHINX_CONF_FILE} @ONLY)
  file(COPY _static DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
  file(COPY _templates DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

  add_custom_target(doc ALL
    ${SPHINX_EXECUTABLE}
      -b html
      -d "${SPHINX_CACHE_DIR}"
      -c "${CMAKE_CURRENT_BINARY_DIR}"
      "${CMAKE_CURRENT_SOURCE_DIR}"
      "${SPHINX_HTML_DIR}"
    COMMENT "Building HTML documentation with Sphinx"
  )

  list(APPEND CLEAN_FILES "${SPHINX_CACHE_DIR}" "${SPHINX_HTML_DIR}")
  set_directory_properties(
    PROPERTIES
    ADDITIONAL_MAKE_CLEAN_FILES "${CLEAN_FILES}"
  )

  install(
    DIRECTORY "${SPHINX_HTML_DIR}"
    DESTINATION "share/doc/${PROJECT_NAME}"
  )
endif (GENERATE_DOC)

=== examples/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2012, libcorkipset authors
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

#-----------------------------------------------------------------------
# Examples

add_c_executable(
    ipv4-set-size
    SKIP_INSTALL
    OUTPUT_NAME ipv4-set-size
    SOURCES ipv4-set-size.c
    LIBRARIES
        libcork
    LOCAL_LIBRARIES
        libcorkipset
)

=== include/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011, libcorkipset authors
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
    FILES_MATCHING PATTERN "*.h")

=== share/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2012, libcorkipset authors
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/valgrind
    DESTINATION share
    FILES_MATCHING PATTERN "*.supp")

=== tests/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011, libcorkipset authors
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

#-----------------------------------------------------------------------
# Build the test cases

add_c_test(test-assignment)
add_c_test(test-bdd)
add_c_test(test-ipmap)
add_c_test(test-ipset)
add_c_test(test-iterator)

#-----------------------------------------------------------------------
# Command-line tests

find_package(PythonInterp)

if (PYTHON_EXECUTABLE)
    configure_file(ccram ${CMAKE_BINARY_DIR}/ccram COPYONLY)
    file(GLOB_RECURSE TESTS "${CMAKE_CURRENT_SOURCE_DIR}/*.t")
    foreach(TEST ${TESTS})
        get_filename_component(TEST_NAME "${TEST}" NAME_WE)
        add_test(
            ${TEST_NAME}
            ${CMAKE_COMMAND} -E chdir ${CMAKE_BINARY_DIR}
            ${CMAKE_BINARY_DIR}/ccram
                --python ${PYTHON_EXECUTABLE}
                --root ${CMAKE_SOURCE_DIR}
                --tests ${TEST}
        )
    endforeach(TEST)
else (PYTHON_EXECUTABLE)
    message(WARNING "Unable to find Python; skipping cram tests.")
endif (PYTHON_EXECUTABLE)

=== debian/changelog ===
libcorkipset (1.1.1+git20171111.6842a63-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113131)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Oct 2025 15:57:49 +0200

libcorkipset (1.1.1+git20171111.6842a63-2) unstable; urgency=medium

  * Add debian/gitlab-ci.yml
    - Allow reproducible test fails currently.
  * debian/tests/upstream-test-suite:
    - Ignore the error from dh_auto_configure. This will make
      autopkgtest within pbuilder happy.
    - Remove dh_auto_build from script, and only build tests.
  * debian/tests/control:
    - Install include and library for the test.
  * debian/patches:
    - Add a patch for autopkgtest, or CI pipeline:
        autopkgtest-Use-system-library-to-run-test.patch
      It uses system's include and library, and skip to build local
      library.

 -- Roger Shimizu <rosh@debian.org>  Sun, 29 Aug 2021 20:47:15 +0900

libcorkipset (1.1.1+git20171111.6842a63-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
    - Remove python3-cram from B-D, since it's actually not used.
  * debian/copyright:
    - Add entry for tests/cram.py.
  * debian/rules:
    - Install doc from debian/tmp instead of obj-*, to make
      dh_missing happy.
    - Disable building static library by adding "-DENABLE_STATIC=NO" to
      dh_auto_configure.
  * debian/tests:
    - Disable building static library by adding "-DENABLE_STATIC=NO" to
      dh_auto_configure.
  * debian/upstream/metadata:
    - Remove Homepage entry to make lintian happy.

 -- Roger Shimizu <rosh@debian.org>  Tue, 24 Aug 2021 00:48:52 +0900

libcorkipset (1.1.1+git20171111.6842a63-1~exp2) experimental; urgency=medium

  * debian/tests:
    - Export DEB_VERSION_UPSTREAM, so tests script will run same as
      d/rules.

 -- Roger Shimizu <rosh@debian.org>  Sun, 22 Aug 2021 17:41:34 +0900

libcorkipset (1.1.1+git20171111.6842a63-1~exp1) experimental; urgency=medium

  * New upstream release 1.1.1+git20171111.6842a63
  * debian/watch:
    - Update to pick latest git commit as new version.

 -- Roger Shimizu <rosh@debian.org>  Thu, 28 Jan 2021 02:05:12 +0900

libcorkipset (1.1.1+20150311-11) unstable; urgency=medium

  * debian/rules:
    - Move updating CMakeLists.txt to dh_auto_configure.
  * debian/tests:
    - Update CMakeLists.txt, same as d/rules.

 -- Roger Shimizu <rosh@debian.org>  Mon, 25 Jan 2021 00:17:16 +0900

libcorkipset (1.1.1+20150311-10) unstable; urgency=medium

  * debian/rules:
    - Fix ftbfs due to: https://github.com/libcheck/check/issues/293
      Workaround from: https://bugs.gentoo.org/754345 (Closes: #980593)

 -- Roger Shimizu <rosh@debian.org>  Sun, 24 Jan 2021 01:32:31 +0900

libcorkipset (1.1.1+20150311-9) unstable; urgency=medium

  * debian/control and debian/copyright:
    - Update to use my debian email.
    - Update URL of upstream.
  * debian/control:
    - Move maintenance under bridges team.
    - Bump debhelper version to 12.
    - Bump policy version to 4.5.0 (no change).
    - Add Rules-Requires-Root: no
    - Move Vcs-* to salsa.
  * debian/libcorkipset-doc.doc-base:
    - Move doc path to libcorkipset-dev folder.
  * Add debian/upstream/metadata
  * debian/rules:
    - Add more security hardening: -fPIC for CPPFLAGS and LDFLAGS.
  * debian/libcorkipset1.symbols:
    - Add Build-Depends-Package as requested by lintian.


 -- Roger Shimizu <rosh@debian.org>  Tue, 19 May 2020 23:56:11 +0900

libcorkipset (1.1.1+20150311-8) unstable; urgency=medium

  * Release to unstable.
  * debian/libcorkipset1.symbols:
    - Add symbols file for libcorkipset1.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 24 Oct 2017 00:41:55 +0900

libcorkipset (1.1.1+20150311-8~exp1) experimental; urgency=medium

  * debian/rules:
    - Get version from script, to make lintian happy.
  * debian/tests:
    - Add upstream test suite for autopkgtest.
  * debian/watch:
    - Change filenamemangle to match with the filename in archive.
  * debian/control:
    - Bump up Standards-Version to 4.1.1 (with adding autopkgtest above).

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 17 Oct 2017 02:19:23 +0900

libcorkipset (1.1.1+20150311-7~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 30 Jun 2017 08:06:27 +0900

libcorkipset (1.1.1+20150311-6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 24 Nov 2016 01:12:17 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: libcorkipset
+Section: libs
 Priority: optional
-Maintainer: Roger Shimizu <rogershimizu@gmail.com>
+Maintainer: Debian Bridges Team <team+bridges@tracker.debian.org>
+Uploaders: Roger Shimizu <rosh@debian.org>
 Build-Depends:
  check,
  cmake,
- debhelper (>= 10),
+ debhelper-compat (= 12),
  help2man,
- libcork-dev (>= 0.15.0+ds-8),
+ libcork-dev (>= 1.0.0~),
  pkg-config,
  python3-sphinx
-Standards-Version: 3.9.8
-Section: libs
-Homepage: https://github.com/redjack/ipset
-Vcs-Git: https://github.com/rogers0/libcorkipset.git
-Vcs-Browser: https://github.com/rogers0/libcorkipset
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/dcreager/libcorkipset
+Vcs-Git: https://salsa.debian.org/bridges-team/libcorkipset.git
+Vcs-Browser: https://salsa.debian.org/bridges-team/libcorkipset
 
 Package: libcorkipset-utils
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# Security Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -fPIC
export DEB_LDFLAGS_MAINT_APPEND = -fPIC

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

# Due to: https://github.com/libcheck/check/issues/293
# Workaround from: https://bugs.gentoo.org/754345
override_dh_auto_configure:
	sed -i s:-Werror:-Wextra: CMakeLists.txt
	dh_auto_configure -- \
		-DENABLE_STATIC=NO

override_dh_install:
	rm -f debian/tmp/usr/share/doc/libcorkipset/html/.buildinfo
	cd obj-$(DEB_TARGET_GNU_TYPE); \
	for bin in ipsetbuild ipsetcat ipsetdot; do \
		help2man -N -n "utility of libcorkipset library" \
			--version-string="$(DEB_VERSION)" -o $$bin.1 src/$$bin; \
	done
	dh_install

override_dh_installdocs:
	dh_installdocs -X.gitignore

%:
	dh $@ --with sphinxdoc

=== debian/tests/control ===
Tests: upstream-test-suite
Depends: @builddeps@, libcorkipset-dev
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="mode=git, pretty=1.1.1+git%cd.%h" \
  https://github.com/dcreager/libcorkipset.git HEAD
